# clipboard - copy/paste to the system clipboard

The `clipboard` kitten can be used to read or write to the system clipboard from the shell. It even works over SSH. Using it is as simple as:

    echo hooray | kitty +kitten clipboard

All text received on `stdin` is copied to the clipboard.

To get text from the clipboard you have to enable reading of the clipboard in `clipboard_control` in `kitty.conf`. Once you do that, you can use:

    kitty +kitten clipboard --get-clipboard

## Command Line Interface

    kitty +kitten clipboard [options]

Read or write to the system clipboard.

To set the clipboard text, pipe in the new text on stdin. Use the `--get-clipboard` option to output the current clipboard contents to `stdout`. Note that you must enable reading of clipboard in `kitty.conf` first.

### Options

`--get-clipboard```

  Output the current contents of the clipboard to stdout. Note that this will not work if you have not enabled the option to allow reading the clipboard in kitty.conf Default: `False`

`--use-primary```

  Use the primary selection rather than the clipboard on systems that support it, such as X11. Default: `False`